#pragma once

#include "CoreMinimal.h"
#include "Kismet/BlueprintFunctionLibrary.h"
#include "BhvrAssertBlueprintLibrary.generated.h"

class UObject;

UCLASS(Blueprintable)
class BHVRASSERTS_API UBhvrAssertBlueprintLibrary : public UBlueprintFunctionLibrary
{
	GENERATED_BODY()

public:
	UFUNCTION(BlueprintCallable)
	static bool Ensure(UObject* WorldContextObject, const bool bCondition, const FString& Message);

public:
	UBhvrAssertBlueprintLibrary();
};

FORCEINLINE uint32 GetTypeHash(const UBhvrAssertBlueprintLibrary) { return 0; }
